Bug 123526 - (PATCH) file-roller does not properly handle filenames with spaces
Summary: (PATCH) file-roller does not properly handle filenames with spaces
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-19 02:35 UTC by Andy Grimm
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.6.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 21:19:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix whitespace handling in tar archives (1.01 KB, patch)
2004-05-19 03:39 UTC, Andy Grimm
no flags Details | Diff

Description Andy Grimm 2004-05-19 02:35:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
This is a rather simple thing.  file-roller will not extract files
containing spaces from a TAR archive.  In the file listing, it only
lists the filename up to (but not including) the first space.  If you
try to extract such a file, it will complain like this:

(for a file originally named "foo bar")

gtar: foo: Not found in archive
gtar: Error exit delayed from previous error

Two things are worth noting:

1) This is specific to tar archives.  ZIP archives, for example, are
not affected.

2) This only causes a problem with extraction.  Creating a tarfile in
file-roller with a file named "foo bar" preserves the space in the
filename just fine.

Version-Release number of selected component (if applicable):
2.6.0-1

How reproducible:
Always

Steps to Reproduce:
1. echo "foo" > "foo bar"
2. run file-roller
3. create a tar archive containing the file "foo bar"
4. attempt to extract "foo bar" (which will show up as "foo") from
said archive within file-roller
    

Actual Results:  An error window with the following details:

gtar: foo: Not found in archive
gtar: Error exit delayed from previous errors

Expected Results:  the file "foo bar" should have been created in the
target directory.

Additional info:

Comment 1 Andy Grimm 2004-05-19 03:39:55 UTC
Created attachment 100317 [details]
patch to fix whitespace handling in tar archives

this code comes directly from file-roller-2.6.1 ... I wrote none of it, just
figured out that it's the piece that fixes my particular problem.

Comment 2 Christopher Aillon 2004-06-09 21:39:51 UTC
I just bumped the rawhide version of file-roller to 2.6.1.  It should
be available at the usual places soon.

Comment 3 Christopher Aillon 2004-06-14 21:19:46 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.